Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class MobileFlags

    java.lang.Object
      |
      +--oracle.portal.provider.v2.MobileFlags

public class MobileFlags
extends java.lang.Object

Field Summary
`static long` | `EXTERNAL_SHOW`
`static long` | `MOBILE_GENERIC` Flags that define the portlet's mobile settings.
`static long` | `MOBILE_ONLY`
`static java.lang.String` | `TOKEN_EXTERNAL_SHOW` String constant that is the token name for the associated flag.
`static java.lang.String` | `TOKEN_MOBILE_GENERIC` String constant that is the token name for the associated flag.
`static java.lang.String` | `TOKEN_MOBILE_ONLY` String constant that is the token name for the associated flag.

Constructor Summary
`MobileFlags(long flags)` Constructor
`MobileFlags(java.lang.Long flags)` Constructor
`MobileFlags(java.lang.String flags)` Constructor -- allows you to represent flags as "MOBILE_ONLY | EXTERNAL_SHOW"

Method Summary
`long` | `getValue()`
`boolean` | `isExternalShow()`
`boolean` | `isMobileOnly()`
`void` | `setValue(long flags)`
`void` | `setValue(java.lang.Long flags)`
`void` | `setValue(java.lang.String flags)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOBILE_GENERIC

    public static final long MOBILE_GENERIC

  Flags that define the portlet's mobile settings. OR these bits together to create unions.

  `MOBILE_GENERIC`: placeholder that means this is a default (or generic) portlet.

  `MOBILE_ONLY`: this flag indicates the portlet shouldn't be rendered in the desktop viewer. I.e. the portal shouldn't transform this portlet's mobileXML to HTML.

  `EXTERNAL_SHOW`: this flag indicates the portlet's show link is "external". I.e. rather then use the page URL to generate a portal relative link to the portlet, an absolute (external to the portal) link is generated. These types of portlets tyipcally won't render when accessed from the mobile viewer. By setting this flag, the portal can provide UI that indicates this to the user.

  See Also:
    Constant Field Values

### MOBILE_ONLY

    public static final long MOBILE_ONLY

See Also:
  Constant Field Values

### EXTERNAL_SHOW

    public static final long EXTERNAL_SHOW

See Also:
  Constant Field Values

### TOKEN_MOBILE_GENERIC

    public static final java.lang.String TOKEN_MOBILE_GENERIC

  String constant that is the token name for the associated flag.

  See Also:
    Constant Field Values

### TOKEN_MOBILE_ONLY

    public static final java.lang.String TOKEN_MOBILE_ONLY

  String constant that is the token name for the associated flag.

  See Also:
    Constant Field Values

### TOKEN_EXTERNAL_SHOW

    public static final java.lang.String TOKEN_EXTERNAL_SHOW

  String constant that is the token name for the associated flag.

  See Also:
    Constant Field Values

Constructor Detail

### MobileFlags

    public MobileFlags(java.lang.String flags)
                throws java.lang.IllegalArgumentException

  Constructor -- allows you to represent flags as "MOBILE_ONLY | EXTERNAL_SHOW"

### MobileFlags

    public MobileFlags(long flags)

  Constructor

### MobileFlags

    public MobileFlags(java.lang.Long flags)

  Constructor

Method Detail

### isMobileOnly

    public boolean isMobileOnly()

  Returns:
    whether the current mobile settings include the MobileOnly flag. MobileOnly tells the portal it shouldn't render this portlet to the desktop (viewer).

### isExternalShow

    public boolean isExternalShow()

  Returns:
    whether the current mobile settings include the ExternalShow flag. ExternalShow tells the portal that link to the portlet is external, not relative to the portal.

### getValue

    public long getValue()

  Returns:
    the current MobileFlags value. This is a bitwise long.

### setValue

    public void setValue(long flags)

### setValue

    public void setValue(java.lang.Long flags)

### setValue

    public void setValue(java.lang.String flags)
                  throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.